Skip to main content
GET
Returns a list of all connected accounts.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

custom_metadata_has
object

Custom metadata pairs by which you want to filter connected accounts. Returns connected accounts with custom_metadata that contains all of the provided key:value pairs. Key names cannot contain a period (.). Specify null to match a key that is unset. A key given an empty string is omitted from the filter.

customer_key
string

Customer key by which you want to filter connected accounts.

limit
integer
default:11000

Maximum number of records to return per page.

page_cursor
string | null

Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.

String for which to search. Filters returned connected accounts to include all records that satisfy a partial match using connected_account_id, account_type, customer_key, custom_metadata, user_identifier.username, user_identifier.email or user_identifier.phone.

space_id
string<uuid>

ID of the space by which you want to filter connected accounts.

user_identifier_key
string

Your user ID for the user by which you want to filter connected accounts.

Response

200 - application/json

OK

connected_accounts
object[]
required
pagination
object
required

Information about the current page of results.